// about.html file in raw data format for PROGMEM
//
const char about_html[] PROGMEM = R"=====(
<!DOCTYPE html>
<html>
 <head>
  <title>About ESP-radio</title>
  <meta http-equiv="content-type" content="text/html; charset=ISO-8859-1">
  <link rel="Shortcut Icon" type="image/ico" href="favicon.ico">
 </head>
 <body>
  <ul>
   <li><a class="pull-left" href="#">ESP Radio</a></li>
   <li><a class="pull-left" href="/index.html">Control</a></li>
   <li><a class="pull-left" href="/config.html">Config</a></li>
   <li><a class="pull-left active" href="/about.html">About</a></li>
  </ul>
  <br><br><br>
  <center>
   <h1>** ESP Radio **</h1>
  </center>
	<p>Esp Radio -- Webradio receiver for ESP8266, 1.8" color display and VS1053 MP3 module.<br>
	This project is documented at <a target="blank" href="https://github.com/Edzelf/Esp-radio">Github</a>.</p>
	<p>Author: Ed Smallenburg<br>
	Webinterface design: <a target="blank" href="http://www.sanderjochems.nl/">Sander Jochems</a><br>
	App (Android): <a target="blank" href="https://play.google.com/store/apps/details?id=com.thunkable.android.sander542jochems.ESP_Radio">Sander Jochems</a><br>
	Date: January 2017<br><br>
  Changes (Predrag Z.):<br>
  -Mobile-friendly appearance.<br>
  -Station presets buttons (first 8 stations in .ini).<br>
  -Show station name in PRESET: (using preset buttons or PREV/NEXT).<br>
  -Show status 3 seconds after selecting station. <br>
  -Static IP <br>
  -Fixed "If volume it decreases less than 0, then it becomes 100".<br>
  -Fixed "Changing volume when changing station -> volume goes at once to 0 or 100". <br>
  -Load current EQ settings into drop-down boxes on web interface (ESP32-Radio #12). <br>
  -Added support for IR remote control through IRremoteESP8266 #130. <br>
  -Not fixed: POP after changing station. Wrong status if station do not have it.  <br>
	</p>
  <script type="text/javascript">
    var stylesheet = document.createElement('link') ;
    stylesheet.href = 'radio.css' ;
    stylesheet.rel = 'stylesheet' ;
    stylesheet.type = 'text/css' ;
    document.getElementsByTagName('head')[0].appendChild(stylesheet) ;
  </script>
 </body>
</html>
)=====" ;
