// index.html file in raw data format for PROGMEM
//
const char index_html[] PROGMEM = R"=====(
<!DOCTYPE html>
<html>
 <head>
  <title>ESP-radio</title>
  <meta http-equiv="content-type" content="text/html; charset=ISO-8859-1">
  <link rel="Shortcut Icon" type="image/ico" href="favicon.ico">
 </head>
 <body>
  <ul>
   <li><a class="pull-left" href="#">ESP Radio</a></li>
   <li><a class="pull-left active" href="/index.html">Control</a></li>
   <li><a class="pull-left" href="/config.html">Config</a></li>
   <li><a class="pull-left" href="/about.html">About</a></li>
  </ul>
  <center>
    <br>
   <button class="button" 
        style="width:150; height: 120px; border: 8px solid Olive;" 
        onclick="favstat('00')">00</button>
   <button class="button" 
        style="width:150; height: 120px; border: 8px solid Olive;" 
        onclick="favstat('01')">01</button>
   <button class="button" 
        style="width:150; height: 120px; border: 8px solid Olive;" 
        onclick="favstat('02')">02</button>
   <button class="button" 
        style="width:150; height: 120px; border: 8px solid Olive;" 
        onclick="favstat('03')">03</button>
   <button class="button" 
        style="width:150; height: 120px; border: 8px solid Olive;" 
        onclick="favstat('04')">04</button>
   <button class="button" 
        style="width:150; height: 120px; border: 8px solid Olive;" 
        onclick="favstat('05')">05</button>
   <button class="button" 
        style="width:150; height: 120px; border: 8px solid Olive;" 
        onclick="favstat('06')">06</button>
   <button class="button" 
        style="width:150; height: 120px; border: 8px solid Olive;" 
        onclick="favstat('07')">07</button>
   <br>
   <button class="button" 
        style="width:400px; height: 200px; border: 20px solid IndianRed;" 
        onclick="httpGet('stop')">OFF</button>
   <button class="button" 
        style="width:400px; height: 200px; border: 20px solid Green; "
        onclick="httpGet('resume')">ON</button>
   <br><br>
   <button class="button" 
        style="width:200px; height: 200px; border: 4px solid darkslategray;" 
        onclick="httpGet('downpreset=1')">PREV</button>
   <button class="button" 
        style="width:200px; height: 200px; border: 4px solid darkslategray;" 
        onclick="httpGet('uppreset=1')">NEXT</button>
   <button class="button"   
        style="width:200px; height: 200px; border: 8px solid darkslategray;" 
        onclick="httpGet('downvolume=2')">VOL-</button>
   <button class="button" 
        style="width:200px; height: 200px; border: 8px solid darkslategray;" 
        onclick="httpGet('upvolume=2')">VOL+</button>
   <br><br>
   <button class="button" style="width:320px; height: 65px;" onclick="httpGet('status')">STATUS</button>
   <button class="button" style="width:150px; height: 65px;" onclick="httpGet('test')">TEST</button>
   <table>
      <center>
       <br>
       <label for="selpres"><big>Preset:</big></label>
       <br>
       <select class="select selectw" 
          style="width:800px;"
          onChange="handlepreset(this)" id="selpres">
          <option value="-1">Select a preset here</option>
       </select>
       <br><br>
       <input type="text" width="140px" size="41" id="resultstr" placeholder="Waiting for a command....">
      </center>
    <tr>
     <td><center>
      <label for="HA"><big>Treble Gain:</big></label>
      <br>
      <select class="select" onChange="handletone(this)" id="HA">
       <option value="8">-12 dB</option>
       <option value="9">-10.5 dB</option>
       <option value="10">-9 dB</option>
       <option value="11">-7.5 dB</option>
       <option value="12">-6 dB</option>
       <option value="13">-4.5 dB</option>
       <option value="14">-3 dB</option>
       <option value="15">-1.5 dB</option>
       <option value="0" selected>Off</option>
       <option value="1">+1.5 dB</option>
       <option value="2">+3 dB</option>
       <option value="3">+4.5 dB</option>
       <option value="4">+6 dB</option>
       <option value="5">+7.5 dB</option>
       <option value="6">+9 dB</option>
       <option value="7">+10.5 dB</option>
      </select>
      <br><br>
     </td>
     <td><center>
      <label for="HF"><big>Treble Freq:</big></label>
      <br>
      <select class="select" onChange="handletone(this)" id="HF">
        <option value="1">1 kHz</option>
        <option value="2">2 kHz</option>
        <option value="3">3 kHz</option>
        <option value="4">4 kHz</option>
        <option value="5">5 kHz</option>
        <option value="6">6 kHz</option>
        <option value="7">7 kHz</option>
        <option value="8">8 kHz</option>
        <option value="9">9 kHz</option>
        <option value="10">10 kHz</option>
        <option value="11">11 kHz</option>
        <option value="12">12 kHz</option>
        <option value="13">13 kHz</option>
        <option value="14">14 kHz</option>
        <option value="15">15 kHz</option>
      </select>
      <br><br> 
     </center></td>
     <br><br>
    </tr>
    <tr>
     <td><center>
      <label for="LA"><big>Bass Gain:</big></label>
      <br>
      <select class="select" onChange="handletone(this)" id="LA">
       <option value="0" selected>Off</option>
       <option value="1">+1 dB</option>
       <option value="2">+2 dB</option>
       <option value="3">+3 dB</option>
       <option value="4">+4 dB</option>
       <option value="5">+5 dB</option>
       <option value="6">+6 dB</option>
       <option value="7">+7 dB</option>
       <option value="8">+8 dB</option>
       <option value="9">+9 dB</option>
       <option value="10">+10 dB</option>
       <option value="11">+11 dB</option>
       <option value="12">+12 dB</option>
       <option value="13">+13 dB</option>
       <option value="14">+14 dB</option>
       <option value="15">+15 dB</option>
      </select>
      <br>
     </td>
     <td><center>
      <label for="LF"><big>Bass Freq:</big></label>
      <br>
      <select class="select" onChange="handletone(this)" id="LF">
       <option value="2">10 Hz</option>
       <option value="3">20 Hz</option>
       <option value="4">30 Hz</option>
       <option value="5">40 Hz</option>
       <option value="6">50 Hz</option>
       <option value="7">60 Hz</option>
       <option value="8">70 Hz</option>
       <option value="9">80 Hz</option>
       <option value="10">90 Hz</option>
       <option value="11">100 Hz</option>
       <option value="12">110 Hz</option>
       <option value="13">120 Hz</option>
       <option value="14">130 Hz</option>
       <option value="15">140 Hz</option>
      </select> 
     </center></td>
    </tr>
   </table>
   <br>
   <br>
   <input type="text" size="34" id="station" placeholder="Enter a station/file here...">
   <button class="button button-play" 
      style="border: 4px solid darkslategray;" 
      onclick="setstat()">PLAY</button>
   <br>
  </center>
  <script>

  
   function httpGet ( theReq )
   {
    var theUrl = "/?" + theReq + "&version=" + Math.random() ;
    var xhr = new XMLHttpRequest() ;
    var rezultat;
    xhr.onreadystatechange = function() 
    //document.getElementById("resultstr").value = "";
    {
      if ( xhr.readyState == XMLHttpRequest.DONE )
      {
        resultstr.value = xhr.responseText ;
        //window.alert(resultstr.value);  //Preset is now 2 ili Volume is now 74 
                  //ili Command accepted ili 
                  //NAXI EX YU RADIO (NAXI,Belgrade,Serbia, NAXI,Beograd,Srbija) - 128k - 
        if (resultstr.value.startsWith("Preset is now"))
        {
          //window.alert(resultstr.value);
          //window.alert(resultstr.value.length);
          //document.getElementById("selpres").value = "01";
          
          if (resultstr.value.length == 16)  //dugacko --- 10, 11, 99
          {
            rezultat = resultstr.value.slice(14, 16);
            document.getElementById("selpres").value = rezultat;
          }
          else
          {
            rezultat = resultstr.value.slice(14, 15);
            document.getElementById("selpres").value = "0" + rezultat;   //0+1=01
          }
		      setTimeout(() => { httpGet('status'); }, 3000);   // status
        }
      }
    }
    xhr.open ( "GET", theUrl, false ) ;
    xhr.send() ;
   }



   function handlepreset ( presctrl )
   {
    if ( presctrl.value >= 0 )
    {
      httpGet ( "preset=" + presctrl.value ) ;
    }
   }



   function handletone ( tonectrl )
   {
     var theUrl = "/?tone" + tonectrl.id + "=" + tonectrl.value +
                  "&version=" + Math.random() ;
     var xhr = new XMLHttpRequest() ;
     xhr.onreadystatechange = function() {
       if ( xhr.readyState == XMLHttpRequest.DONE )
       {
         resultstr.value = xhr.responseText ;
       }
     }
     xhr.open ( "GET", theUrl, false ) ;
     xhr.send() ;
   }



   function setstat()
   {
     var theUrl = "/?station=" + station.value + "&version=" + Math.random() ;
     var xhr = new XMLHttpRequest() ;
     xhr.onreadystatechange = function() {
       if ( xhr.readyState == XMLHttpRequest.DONE )
       {
         resultstr.value = xhr.responseText ;
       }
     }
     xhr.open ( "GET", theUrl, false ) ;
     xhr.send() ;
   }


  function favstat(rednibr)
  {
    //window.alert(theUrl); // /?preset=03&version=0.9040247647432086
    //?preset=06

    //radi
    //https://www.w3schools.com/JSREF/tryit.asp?filename=tryjsref_select_value
    //var opt= document.getElementById("selpres").options[0];
    //opt.value = "0 - NAXI LOVE RADIO, Belgrade, Serbia";
    //opt.text = "naxi";
    //document.getElementById("selpres").text = "naxi";  //ne radi
    //document.getElementById("selpres").value = "0 - NAXI LOVE RADIO, Belgrade, Serbia";   //radi
    
    //promeni tekst prikazane stanice
    //var opt = document.getElementById("selpres").options[0];
    //opt.options[opt.selectedIndex].text = rednibr;
    //opt.options[opt.selectedIndex].value = "02";
    
    //var idx = selectObj.selectedIndex; 

    document.getElementById("resultstr").value = "";
    var theUrl = "/?preset=" + rednibr + "&version=" + Math.random() ;
	  document.getElementById("selpres").value = rednibr;

    xhr.open ( "GET", theUrl, false ) ;
    xhr.send() ;
    
    setTimeout(() => { httpGet('status'); }, 2500);

  }



   
   // Fill preset list initially
   //
   var i, select, opt, stations ;
   select = document.getElementById("selpres") ; //selpres  select selectw
   var theUrl = "/?list=0" + "&version=" + Math.random() ;
   var xhr = new XMLHttpRequest() ;
   xhr.onreadystatechange = function() {
     if ( xhr.readyState == XMLHttpRequest.DONE )
     {
       stations = xhr.responseText.split ( "|" ) ;
       for ( i = 0 ; i < ( stations.length - 1 ) ; i++ )
       {
         opt = document.createElement( "OPTION" ) ;
         opt.value = stations[i].substring ( 0, 2 ) ;
         opt.text = stations[i].substring ( 2 ) ;

          //window.alert(stations[i].substring ( 0, 2 ));  //00
          //window.alert(stations[i].substring ( 2 ));  //0 - NAXI LOVE RADIO, Belgrade, Serbia
          
         select.add( opt ) ;
       }
     }
   }
   xhr.open ( "GET", theUrl, false ) ;
   xhr.send() ;


   //dodao - da pri ucitavanju stranice prikaze podesavanja EQ 
   // ESP32 - Load current EQ settings into drop-down boxes on web interface #12 
     var i, selection, opt, cursettings ;
     var theUrl = "/?eq" + "&version=" + Math.random() ;
     var xhr = new XMLHttpRequest() ;
     xhr.onreadystatechange = function() 
     {
      if ( xhr.readyState == XMLHttpRequest.DONE )
        {
          cursettings = xhr.responseText.split ( "|" ) ;
          for ( i = 0 ; i < 4 ; i++ )
          {
          document.getElementById(cursettings[i].substring(0,2)).value = cursettings[i].substring(2) ;
          }
        }
      }
      xhr.open ( "GET", theUrl, false ) ;
      xhr.send() 




  </script>
  <script type="text/javascript">
    var stylesheet = document.createElement('link') ;
    stylesheet.href = 'radio.css' ;
    stylesheet.rel = 'stylesheet' ;
    stylesheet.type = 'text/css' ;
    document.getElementsByTagName('head')[0].appendChild(stylesheet) ;
  </script>
 </body>
</html>
<noscript>
  <link rel="stylesheet" href="radio.css">
  Sorry, ESP-radio does not work without JavaScript!
</noscript>
)=====" ;
